---
kind: pipeline
type: ssh
name: deploy
server:
    host:
        from_secret: host
    user:
        from_secret: username
    ssh_key:
        from_secret: ssh_key
clone:
    disable: true
trigger:
    branch:
        - master
steps:
    - name: deploy
      commands:
          - sudo -Hu www-data git -C /var/site pull --rebase origin master
          - sudo -Hu www-data cd /var/site/wiki && make clean && make